System.Web 1.0.5000.0 2.0.0.0 System.Enum

The enumeration represents the horizontal or vertical placement of the HTML caption element in controls that can be rendered as tables, such as , , , or . For example, the property uses these enumeration values to set the caption alignment in a control.

If you specify , the browser in which the control is rendered determines where to align the caption.

The property specifies the position of the caption element with respect to controls that can be rendered as tables. The property specifies the text to display in the caption element. Assistive technology devices can use the description provided by the property to make the control more accessible. For example, a screen reader device might read the caption to the user to provide them with a description of the table.

Specifies the horizontal or vertical placement of the text to render as the HTML caption element.

- Field
  System.Web.UI.WebControls.TableCaptionAlign

  The caption element is aligned with the bottom of the table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TableCaptionAlign

  The caption element is aligned with the left side of the table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TableCaptionAlign

  The caption alignment is not set. The browser that renders the caption determines where to align the caption.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TableCaptionAlign

  The caption element is aligned with the right side of the table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.WebControls.TableCaptionAlign

  The caption element is aligned with the top of the table.

  1.0.5000.0
  2.0.0.0